Subject: Re: [sidr] Last Call: <draft-ietf-sidr-arch-11.txt> (An Infrastructure to

From: "t.petch" <[email-masked]>
Date: Mon, 21 Feb 2011 17:23:40 +0100

I find this I-D problematic.  The subject matter is of crucial importance,
comparable to, or perhaps more important than, IPv6, yet this I-D is not
an easy read and there should be one such somewhere.

sidr has produced an awesome collection of I-Ds (some now obsolete) but it is
not obvious, short of spending a few months in the archives, how they fit
together.  Other major projects - snmp for example - produced an Introduction,
acting as a starting point and a road map to the other I-Ds and I think that
that should be a prerequisite for sidr.  This I-D is not it (even if it could
be); its Normative
References include a further 80 pages of sidr I-Ds!

One small example.  The I-Ds have several references to RPKI and indeed, that
appears in -arch; but it first appears on page 8 and is not even expanded, let
alone explained.  Of course you can turn to Wikipedia and you find a clear
explanation of what RPKI is but you should not need Wikipedia to understand
something as important as sidr.  This I-D seems to be written to be understood
by those who understand it:-(

Tom Petch

----- Original Message -----
From: "The IESG" <iesg-secretary at ietf.org>
To: "IETF-Announce" <ietf-announce at ietf.org>
Cc: <[email-masked]>
Sent: Monday, February 07, 2011 5:14 PM
Subject: [sidr] Last Call: <draft-ietf-sidr-arch-11.txt> (An Infrastructure to

>
> The IESG has received a request from the Secure Inter-Domain Routing WG
> (sidr) to consider the following document:
> - 'An Infrastructure to Support Secure Internet Routing'
>   <draft-ietf-sidr-arch-11.txt> as an Informational RFC
>
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> ietf at ietf.org mailing lists by 2011-02-21. Exceptionally, comments may be
> sent to iesg at ietf.org instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
>
> The file can be obtained via
> http://datatracker.ietf.org/doc/draft-ietf-sidr-arch/
>
> IESG discussion can be tracked via
> http://datatracker.ietf.org/doc/draft-ietf-sidr-arch/
>
>
>
> The following IPR Declarations may be related to this I-D:
>
> /ipr/1204/
>

---

From: Christopher Morrow <[email-masked]>
Date: Mon, 21 Feb 2011 14:15:20 -0500

(not speaking for the authors, just observing some... also not
speaking as a co-chair)

> an easy read and there should be one such somewhere.

I thought there was to be an overview doc as well produced, with the
goal being to lay out the basic parts referring to the other drafts
for further info/expansion.

> appears in -arch; but it first appears on page 8 and is not even expanded, let

eh.. that's a nit that someone should file... "hey, you can't use an
acronym for the first time without actually expanding it properly!"

Can you cite the proper para/page/section on this so the authors can fix it?

-Chris

> _______________________________________________
> sidr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sidr
>

---

From: Christopher Morrow <[email-masked]>
Date: Mon, 21 Feb 2011 14:17:42 -0500

> for further info/expansion.

oh, I mentioned the overview in the note about rechartering:

"The SIDR working group is charged with the following goals and
milestones:
ID Date      Pub Date
Mar 2011   Jan 2012  An overview of the RPKI and BGP Protocol changes
required for origin and path validation"

-chris

---

From: Sean Turner <[email-masked]>
Date: Mon, 21 Feb 2011 13:58:00 -0600

> Can you cite the proper para/page/section on this so the authors can fix it?

Maybe if we tweaked the last sentence in section 2:

Such a PKI, which is henceforth referred to as the Resource Public Key Infrastructure (RPKI), is a central component of this architecture.

Spt

---

From: "t.petch" <[email-masked]>
Date: Thu, 24 Feb 2011 13:44:54 +0100

----- Original Message -----
From: "Sean Turner" <[email-masked]>
To: "Christopher Morrow" <[email-masked]>
Cc: "iesg" <[email-masked]>; "ietf" <[email-masked]>; "t.petch"
<[email-masked]>; <[email-masked]>
Sent: Monday, February 21, 2011 8:58 PM
> Such a PKI, which is henceforth referred to as the Resource Public Key
Infrastructure (RPKI), is a central component of this architecture.

I would add one more phrase of explanation at the end

'where a Resource is either a block of IP address space or an AS number.'

You may, or may not, recall me asking some time ago whether RPKI was a sidr
specific term or another of those security terms that non-security experts never
get to know or understand.  I still think that anyone coming from a routing
background will struggle in the absence of that phrase I suggest you add.

And notice that we are putting the explanation right at the end of a lengthy
paragraph, deductive rather then inductive style, which I think always makes
technical documents harder to follow (even if it is the one I fall naturally
into).

And this is my general point; this I-D, like most of sidr, is written to be
understood by those who understand it when, with a little extra, it could
be understood more widely.  (And I have been tracking the sidr list since
its inception:-(

Manifests would be another similar but larger issue.  Yes I see the
detail of a manifest, but so what, why should I care?  -arch I
find unclear.

And protocols? this -arch is light on protocols; presumably
draft-ietf-sidr-rpki-rtr does not count as part of the -arch:-)

etc etc

Tom Petch